Name: rtcheck
Version: 0.7.4
Release: 2%{?dist}
License: GPL
Summary: Test the running system for real-time capabilities
Group: Development/Tools
Source0: rtcheck-0.7-4.tar.bz2
Source1: rtcheck.initscript
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The 'rtcheck' program is an application that tests the running system for
real-time capabilities and reports back a 0 if all capabilities it looks
for are identified and an error mask describing the capabilties that are
not present, otherwise.  This program can be used by real-time-enabled
programs to determine if the environment they are in is suitable for
them to run [correctly].

%prep
%setup -qn rtcheck

%build
make %{?_smp_mflags}

%install
rm -Rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_sysconfdir}/rc.d/init.d}
strip rtcheck
cp rtcheck %{buildroot}/%{_bindir}
cp %{_sourcedir}/rtcheck.initscript %{buildroot}/%{_sysconfdir}/rc.d/init.d/rtcheck

%post
/sbin/chkconfig --add rtcheck

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del rtcheck
fi

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README
%defattr(0755,root,root,0755)
%{_bindir}/rtcheck
%config %{_sysconfdir}/rc.d/init.d/rtcheck

%changelog
* Thu Oct 23 2008 Clark Williams <williams@redhat.com> - 0.7.4-2%{?dist}
- rebuilt using tarball supplied by IBM

* Tue Oct 21 2008 Clark Williams <williams@redhat.com> - 0.7.4-1%{?dist}
- updated rtcheck.c from IBM

* Thu Jul 19 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.6.4-2%{?dist}
- Moved rtcheck from /sbin to /usr/bin, as requested on bz#248557

* Thu Jun  7 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.6.4-1%{?dist}
- initial packaging
